Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2161337 - Review Request: python-types-python-dateutil - Typing stubs for dateutil
Summary: Review Request: python-types-python-dateutil - Typing stubs for dateutil
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Hanlon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2023-01-16 16:22 UTC by Ankur Sinha (FranciscoD)
Modified: 2023-03-01 00:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-02-28 11:26:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2023-01-16 16:22:03 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-types-python-dateutil/python-types-python-dateutil.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-types-python-dateutil/python-types-python-dateutil-2.8.19.5-2.fc38.src.rpm

Description:
This is a PEP 561 type stub package for the python-dateutil package. It can be
used by type-checking tools like mypy, PyCharm, pytype etc. to check code that
uses python-dateutil. The source for this package can be found at
https://github.com/python/typeshed/tree/main/stubs/python-dateutil. All fixes
for types and metadata should be contributed there.

See https://github.com/python/typeshed/blob/main/README.md for more details.
This package was generated from typeshed commit
bff43b53e50adf873c20faebb125a5fe808d4ad6.

Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2023-01-16 16:22:06 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=96210656

Comment 3 Ben Beasley 2023-01-16 17:37:21 UTC
Is this a runtime dependency or a BuildRequires for testing? If it’s the latter, you might be better patching out the typechecker from the tests (https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters).

Comment 4 Ankur Sinha (FranciscoD) 2023-01-16 18:06:19 UTC
Ah, right. This one is BR for testing datalad locally. I'll take a look at patching it out first.

Comment 5 Ben Beasley 2023-01-16 18:14:30 UTC
I’m happy to review it if it’s not just for mypy. There are a few Python libraries that use type information at runtime, although I bet this isn’t one of those cases.

Comment 6 Neil Hanlon 2023-01-28 20:58:51 UTC
oops. I apologize, i didn't read the whole discussion before taking. Still happy to take this as my first review if it is necessary.

Comment 7 Ankur Sinha (FranciscoD) 2023-02-28 11:26:20 UTC
Sorry for the delay folks. This is indeed only a linting dep, so we won't package it.

Neil, sorry about that. I have a couple of other reviews pending if you'd like to take them up:

https://bugzilla.redhat.com/show_bug.cgi?id=2173665
https://bugzilla.redhat.com/show_bug.cgi?id=2166009

Comment 8 Neil Hanlon 2023-03-01 00:58:33 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #7)
> Sorry for the delay folks. This is indeed only a linting dep, so we won't
> package it.
> 
> Neil, sorry about that. I have a couple of other reviews pending if you'd
> like to take them up:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=2173665
> https://bugzilla.redhat.com/show_bug.cgi?id=2166009

Not a problem. I will take a look and see if I might be able to take one of them on with my current workload.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.